#include <bits/stdc++.h>
using namespace std;

int main()
{
    long long N;
    long long M;
    long long K;
    long long A;
    long long B;

    long long br=0;

    long long tbl [1000000000][1000000000];

    cin >> N >> M >> K;

    for (long long i=0; i<N; i++)
    {
        for(long long j=0; j<N; j++)
        {
            tbl[i][j] = 0;
        }
    }

    for (long long i=0; i<K; i++)
    {
        cin >> A >> B;
        tbl[A][B]=1;
    }

    for (long long i=0; i<N; i++)
    {
        for(long long j=0; j<N; j++)
        {
            if ((tbl[i][j]==0) && (tbl[i][j-1] == 0 ) && (tbl[i][j+1]==0)
                && (tbl[i-1][j]==0) && (tbl[i+1][j]==0))
            {
                br++;
            }
            tbl[i][j]=1;
        }
    }

    cout << br;

    return 0;
}